%define module	Crypt-Rijndael
%define name	perl-%{module}
%define version	0.05
%define release	%mkrel 7

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Crypt::CBC compliant Rijndael encryption module
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/D/DI/DIDO/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
Source0:	Crypt-Rijndael-%{version}.tar.bz2
Patch0:		perl-Crypt-Rijndael-types.patch.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module implements the Rijndael cipher, which has just been selected as the
Advanced Encryption Standard.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor CFLAGS="%{optflags}"
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc NEWS README
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3*/*

%changelog
* Tue Mar 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-7mdk
- spec cleanup
- %%mkrel
- rpmbuilupdate aware
- fix directory ownership
- better summary, description and url

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.05-6mdk
- added P0 (PLD) to make it build on x86_64

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-5mdk
- Rebuild for new perl

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.05-4mdk
- rebuilt, fix deps
- use macros

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-3mdk
- rebuild for new auto{prov,req}

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.05-2mdk
- do make test

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.05-1mdk
- initial cooker contrib.
